document.addEventListener('DOMContentLoaded', function () {
    console.log("✅ NotifyMe Script geladen");

    const notifyContainer = document.getElementById('notify-me-container');
    if (!notifyContainer) {
        console.error("❌ NotifyMe: Container nicht gefunden!");
        return;
    }

    console.log("✅ NotifyMe: Container gefunden");

    const notifyButton = document.querySelector('.notify-me-button');
    const submitButton = document.querySelector('.notify-me-submit');
    const emailInput = document.querySelector('.notify-me-email');

    if (notifyButton) {
        console.log("✅ NotifyMe: Button gefunden");
        notifyButton.addEventListener('click', function () {
            const email = this.dataset.customerEmail;
            const productId = this.dataset.productId;
            sendNotificationRequest(email, productId);
        });
    } else {
        console.error("❌ NotifyMe: Button nicht gefunden!");
    }

    if (submitButton) {
        console.log("✅ NotifyMe: Submit-Button gefunden");
        submitButton.addEventListener('click', function () {
            const email = emailInput.value;
            const productId = this.dataset.productId;

            if (!email) {
                alert("Bitte geben Sie eine gültige E-Mail-Adresse ein.");
                return;
            }

            sendNotificationRequest(email, productId);
        });
    } else {
        console.error("❌ NotifyMe: Submit-Button nicht gefunden!");
    }

    function sendNotificationRequest(email, productId) {
        console.log(`📩 Anfrage für Produkt: ${productId}, Email: ${email}`);

        fetch('/notification/subscribe', {
            method: 'POST',
            headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
            body: `email=${encodeURIComponent(email)}&productId=${encodeURIComponent(productId)}`
        })
            .then(response => response.json())
            .then(data => {
                alert(data.message);
            })
            .catch(error => console.error('❌ Fehler:', error));
    }
});
